Bug 799775 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bombayvdmo_40yahoo_2ecom_2emx at 0x2350490>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:d8d6c28eafc86b5ac978d873d34...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 20:01 EST by Ví­ctor Daniel
Modified: 2012-03-14 23:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 23:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ví­ctor Daniel 2012-03-04 20:01:17 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.7-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bombayvdmo_40yahoo_2ecom_2emx at 0x2350490>
time:           Sun 04 Mar 2012 01:09:42 AM COT
uid:            1000
username:       vdmo

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bombayvdmo_40yahoo_2ecom_2emx at 0x2350490>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bombayvdmo_40yahoo_2ecom_2emx at 0x2350490>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x22520d0>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bombayvdmo_40yahoo_2ecom_2emx at 0x2350490>

smolt_data:
:
:
:General
:=================================
:UUID: a8d44c35-acf4-46ca-aced-d58a36c62a1a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6428.67
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X6 1090T Processor
:CPU Stepping: 0
:CPU Family: 16
:CPU Model Num: 10
:Number of CPUs: 6
:CPU Speed: 3200
:System Memory: 7987
:System Swap: 8191
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4163:33859) pci, ahci, STORAGE, M5A88-V EVO
:(4130:38409:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:43656:5963:43656) pci, snd_hda_intel, MULTIMEDIA, Barts HDMI Audio [Radeon HD 6800 Series]
:(4130:38401:4163:33854) pci, None, HOST/PCI, M5A88-V EVO
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4358:1045:4163:33679) pci, pata_via, STORAGE, M5A88-V EVO
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4130:38403:4163:33854) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4163:33859) pci, None, PCI/ISA, M5A88-V EVO
:(4098:17283:4163:33819) pci, snd_hda_intel, MULTIMEDIA, M5A88-V EVO
:(4098:17305:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:26425:5963:57716) pci, radeon, VIDEO, Barts PRO [ATI Radeon HD 6800 Series]
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4358:13315:4163:33652) pci, firewire_ohci, FIREWIRE, M5A88-V EVO
:(4130:38408:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 4)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_vmartinezpc-lv_root / ext4 4096 4096 5676843 4064427 3779755 1425408 1202855 1202855
:/dev/sda6 /boot ext4 1024 1024 508745 412036 386436 128016 127783 127783
:/dev/sda8 WITHHELD xfs 4096 4096 69655934 55590593 55590593 278759808 278759801 278759801
:/dev/sda5 WITHHELD xfs 4096 4096 122010290 104114672 104114672 488279552 488264332 488264332
:/dev/mapper/vg_vmartinezpc-lv_home /home ext4 4096 4096 5169440 2893281 2634005 1297440 1260907 1260907
:

Note You need to log in before you can comment on or make changes to this bug.